maposmatic-dev
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Maposmatic-dev] Modernize MapOSMatic


From: Hartmut Holzgraefe
Subject: Re: [Maposmatic-dev] Modernize MapOSMatic
Date: Fri, 21 Oct 2016 11:50:37 +0200
User-agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101 Thunderbird/45.3.0

On 21.10.2016 11:36, √Čtienne Loks wrote:

> Interesting fact, I can now install ocitysmap dependencies with only
> packages on the last Ubuntu (only her have mapnik3 and python-mapnik
> compiled with Cairo). Next Debian (Stretch) should be OK.

that is great news, mapnik 2 was the last blocking thing in my own
efforts due to the cairo rendering bug, in my setup I run with a
self compiled mapnik 2.4beta so far

> 
> I am planning to continue the modernization of the code. Porting
> MapOSMatic frontend to a recent Django version and probably going to
> python3.

I did some work on that already, mostly in

  https://github.com/hholzgra/maposmatic/tree/upstream_dev_django_updates

with one fix having slipped into the wrong branch (needs cleanup)


https://github.com/hholzgra/maposmatic/commit/c782b6dc9c4c63c9377d2ff250e7c7786b9906e3


-- 
hartmut



reply via email to

[Prev in Thread] Current Thread [Next in Thread]